#include "Wire.h"
 
#define TTP229_LSF 0x57 
 
void setup() {
  Wire.begin(0,2); // wake up I2C bus
  Serial.begin(9600);
}
 
void getTTP229data(byte *a, byte *b) {
  Wire.requestFrom(TTP229_LSF, 2);    // request 2 bytes from slave device TTP229  
  int dataN = 0;
  while(Wire.available())    // slave may send less than requested
  { 
    char c = Wire.read();    // receive a byte as character 
    if (dataN == 0) *a = c;
    if (dataN == 1) *b = c;  
    dataN++;
  }
}
 
void showTTP229data()
{
  byte aa,bb = 0;
  getTTP229data(&aa,&bb);
  Serial.println();
  printByte(aa);
  printByte(bb);
 
  delay(1000);
}
 
void loop() {
  showTTP229data();
}
 
void printByte (byte bytePrint) {
   for (unsigned int mask = 0x80; mask; mask >>= 1) {
       if (mask & bytePrint) {
           Serial.print('1');
       }
       else {
           Serial.print('0');
       }
   }
}



